summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfielding <fielding@13f79535-47bb-0310-9956-ffa450edef68>2001-03-24 06:48:04 +0000
committerfielding <fielding@13f79535-47bb-0310-9956-ffa450edef68>2001-03-24 06:48:04 +0000
commit4c1640f8e078b7d72f3a638362b3a404c11537c1 (patch)
tree0ee170a52924dcde84609f7dc6f492482b05ca2a
parent4618d710ea8313b2a1f731d5aeeb0aa9bfab5df4 (diff)
downloadlibapr-4c1640f8e078b7d72f3a638362b3a404c11537c1.tar.gz
This shell script checks the builder's setup for the right versions
of the build tools (autoconf and libtool) needed to build APR on unix. Moved from httpd-2.0/build/buildcheck.sh Submitted by: Sascha Schumann git-svn-id: http://svn.apache.org/repos/asf/apr/apr/trunk@61381 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xbuild/buildcheck.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/build/buildcheck.sh b/build/buildcheck.sh
new file mode 100755
index 000000000..091a17be3
--- /dev/null
+++ b/build/buildcheck.sh
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+echo "buildconf: checking installation..."
+
+# autoconf 2.13 or newer
+ac_version=`autoconf --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
+if test -z "$ac_version"; then
+echo "buildconf: autoconf not found."
+echo " You need autoconf version 2.13 or newer installed"
+echo " to build Apache from CVS."
+exit 1
+fi
+IFS=.; set $ac_version; IFS=' '
+if test "$1" = "2" -a "$2" -lt "13" || test "$1" -lt "2"; then
+echo "buildconf: autoconf version $ac_version found."
+echo " You need autoconf version 2.13 or newer installed"
+echo " to build Apache from CVS."
+exit 1
+else
+echo "buildconf: autoconf version $ac_version (ok)"
+fi
+
+# libtool 1.3.3 or newer
+lt_pversion=`libtool --version 2>/dev/null|sed -e 's/^[^0-9]*//' -e 's/[- ].*//'`
+if test "$lt_pversion" = ""; then
+echo "buildconf: libtool not found."
+echo " You need libtool version 1.3 or newer installed"
+echo " to build Apache from CVS."
+exit 1
+fi
+lt_version=`echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/'`
+IFS=.; set $lt_version; IFS=' '
+if test "$1" -gt "1" || test "$2" -gt "3" || test "$2" = "3" -a "$3" -ge "3"
+then
+echo "buildconf: libtool version $lt_pversion (ok)"
+else
+echo "buildconf: libtool version $lt_pversion found."
+echo " You need libtool version 1.3.3 or newer installed"
+echo " to build Apache from CVS."
+exit 1
+fi
+
+exit 0